commit:     0234d103491ea041d42f042fdee2dba2e3c81665
Author:     Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Mon Feb 10 18:48:04 2020 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Mon Feb 10 18:48:35 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0234d103

dev-python/python-ldap-3.2.0: Bump, py eclass helpers, py38

Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-2.3.88, Repoman-2.3.20
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-python/python-ldap/Manifest                 |  1 +
 dev-python/python-ldap/python-ldap-3.2.0.ebuild | 92 +++++++++++++++++++++++++
 2 files changed, 93 insertions(+)

diff --git a/dev-python/python-ldap/Manifest b/dev-python/python-ldap/Manifest
index ce83ee46c20..e45da3359d2 100644
--- a/dev-python/python-ldap/Manifest
+++ b/dev-python/python-ldap/Manifest
@@ -1,3 +1,4 @@
 DIST python-ldap-2.4.19.tar.gz 138503 BLAKE2B 
54e088743ccd3fff00f66d8208122b9ebcc154b788d3511f170a3deaf9cfdc5ba813ef05e4a40f42079d2bc60cf871ffae8618cc2e41b3632e79243bbd43cc74
 SHA512 
bfa8b87449f03d70d78bf890d1190ef5a153e1b84db97ca4b40465bfba9faedace2a69f4ae1279ef6323c01255f52993cf0e4374bc32d9660a5286dfc7c17b85
 DIST python-ldap-2.4.32.tar.gz 126025 BLAKE2B 
2e16942680cc037c1251f500855c10de8d63194d400059f20449d541854c2ddc8863cfff5f84716818d0b37f331336a53e4b158e9ba55edc4becb6612d999ed3
 SHA512 
35a526330852ee87acd240cd285881afe498612fcedbffe93c6e41fb082300cd8b351d9100dc2b3049c658ed062d69cea90f28f9db51a80d94816ce249bbd028
 DIST python-ldap-3.1.0.tar.gz 366019 BLAKE2B 
19e95ee096f40cc195257f82ccb5f882cc521561b14e77469be91e013d6b566102c6b426463e68353a3140fc96ebc622deed94929a3aa81cc14cb072440efe44
 SHA512 
71948cbae1c9a47f9e68fb8c6d65d91a2992261dd9aa535a0453f5733be1c2a25be1dda3c84abc6bdebab92150c89cc8caa757454331a0303de4fa46788b414a
+DIST python-ldap-3.2.0.tar.gz 367645 BLAKE2B 
5109f4a13644d53fff7506ad2417da6dbfd5d1c5d31cc63932338ee0bc7327b00878804764366523fc0610191126c1a1367e15fddbad481880f73d29d96d3322
 SHA512 
ef2833739fd57ad26d97ae5dba3bca8a47e770ff3f113d06a5bed0841f8fcbbe6cd102e75c753dfff48f5f6041f46a91c6166f3bb9ca44ef9bd643c0666c6b23

diff --git a/dev-python/python-ldap/python-ldap-3.2.0.ebuild 
b/dev-python/python-ldap/python-ldap-3.2.0.ebuild
new file mode 100644
index 00000000000..8dec3092b96
--- /dev/null
+++ b/dev-python/python-ldap/python-ldap-3.2.0.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( pypy3 python{2_7,3_{6,7,8}} )
+
+inherit distutils-r1
+
+DESCRIPTION="Various LDAP-related Python modules"
+HOMEPAGE="https://www.python-ldap.org/en/latest/
+       https://pypi.org/project/python-ldap/
+       https://github.com/python-ldap/python-ldap";
+if [[ ${PV} == *9999* ]]; then
+       EGIT_REPO_URI="https://github.com/python-ldap/python-ldap.git";
+       inherit git-r3
+else
+       SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 
~x86-solaris"
+fi
+
+LICENSE="PSF-2"
+SLOT="0"
+IUSE="examples sasl ssl"
+
+# We do not need OpenSSL, it is never directly used:
+# https://github.com/python-ldap/python-ldap/issues/224
+RDEPEND="
+       !dev-python/pyldap
+       >=dev-python/pyasn1-0.3.7[${PYTHON_USEDEP}]
+       >=dev-python/pyasn1-modules-0.1.5[${PYTHON_USEDEP}]
+       >net-nds/openldap-2.4.11:=[sasl?,ssl?]
+"
+# We do not link against cyrus-sasl but we use some
+# of its headers during the build.
+BDEPEND="
+       >net-nds/openldap-2.4.11:=[sasl?,ssl?]
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       sasl? ( >=dev-libs/cyrus-sasl-2.1 )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx Doc
+
+python_prepare_all() {
+       # The live ebuild won't compile if setuptools_scm < 1.16.2 is installed
+       # https://github.com/pypa/setuptools_scm/issues/228
+       if [[ ${PV} == *9999* ]]; then
+               rm -r .git || die
+       fi
+
+       if ! use sasl; then
+               sed -i 's/HAVE_SASL//g' setup.cfg || die
+       fi
+       if ! use ssl; then
+               sed -i 's/HAVE_TLS//g' setup.cfg || die
+       fi
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       # Run all tests which don't require slapd
+       local ignored_tests=(
+               t_bind.py
+               t_cext.py
+               t_edit.py
+               t_ldapobject.py
+               t_ldap_options.py
+               t_ldap_sasl.py
+               t_ldap_schema_subentry.py
+               t_ldap_syncrepl.py
+               t_slapdobject.py
+       )
+       pushd Tests >/dev/null || die
+       pytest -vv ${ignored_tests[@]/#/--ignore } \
+               || die "tests failed with ${EPYTHON}"
+       popd > /dev/null || die
+}
+
+python_install() {
+       distutils-r1_python_install
+       python_optimize
+}
+
+python_install_all() {
+       if use examples; then
+               docinto examples
+               dodoc -r Demo/.
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+       distutils-r1_python_install_all
+}

Reply via email to